Last Comment Bug 634596 - On Windows, use hardlinks when --enable-chrome-format=symlink is specified
: On Windows, use hardlinks when --enable-chrome-format=symlink is specified
Status: RESOLVED FIXED
fixed-in-bs
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Siddharth Agarwal [:sid0] (inactive)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-16 07:44 PST by Siddharth Agarwal [:sid0] (inactive)
Modified: 2011-03-22 17:55 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch v1 (2.10 KB, patch)
2011-02-16 07:44 PST, Siddharth Agarwal [:sid0] (inactive)
ted: review+
Details | Diff | Splinter Review
tests v1 (7.21 KB, patch)
2011-02-28 11:55 PST, Siddharth Agarwal [:sid0] (inactive)
no flags Details | Diff | Splinter Review
tests v2 (7.21 KB, patch)
2011-02-28 15:07 PST, Siddharth Agarwal [:sid0] (inactive)
ted: review+
Details | Diff | Splinter Review

Description Siddharth Agarwal [:sid0] (inactive) 2011-02-16 07:44:33 PST
Created attachment 512803 [details] [diff] [review]
patch v1

--enable-chrome-format=symlink is really useful when you're editing JS or xul files. We can't do symlinks on Windows, even Vista/7 (mainly because non-admins don't have the privilege to do it, and even if an admin is explicitly granted the privilege, UAC strips it away). However we can create hardlinks instead, and that'll work for the use case we want to support here.
Comment 1 Ted Mielczarek [:ted.mielczarek] 2011-02-25 05:39:26 PST
Comment on attachment 512803 [details] [diff] [review]
patch v1

I bet you'll probably break some goofy platform like OS/2 with this, but they would have to explicitly enable this, so maybe it doesn't matter.

Can you add a test for this to http://mxr.mozilla.org/mozilla-central/source/config/tests/unit-JarMaker.py ?
Comment 2 Siddharth Agarwal [:sid0] (inactive) 2011-02-28 11:55:37 PST
Created attachment 515697 [details] [diff] [review]
tests v1

This passes locally, and I've pushed to try to make sure it passes on Mac/Linux/FAT32 as well.
Comment 3 Siddharth Agarwal [:sid0] (inactive) 2011-02-28 15:07:37 PST
Created attachment 515755 [details] [diff] [review]
tests v2

That wouldn't have, but this did.
Comment 4 Ted Mielczarek [:ted.mielczarek] 2011-03-01 03:12:05 PST
Comment on attachment 515755 [details] [diff] [review]
tests v2

Thanks a lot for taking the time to write a test!

Note You need to log in before you can comment on or make changes to this bug.